<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:a4j="http://richfaces.org/a4j"
	xmlns:rich="http://richfaces.org/rich">
<body>
	<ui:decorate template="/templates/extraction/template-glacpe.xhtml">
		<f:loadBundle
			basename="org.inra.ecoinfo.genericfilesrepository.uijsf.generic-extraction-jsf"
			var="genericfilesrepository" />
		<ui:define name="title">#{genericfilesrepository.PROPERTY_MSG_TITLE}
		<f:loadBundle
				basename="org.inra.ecoinfo.genericfilesrepository.uijsf.generic-extraction-jsf"
				var="genericfilesrepository" />
		</ui:define>
		<ui:param name="titleExtraction"
			value="#{genericfilesrepository.PROPERTY_MSG_TITLE_EXTRACTION}">
			<f:loadBundle
				basename="org.inra.ecoinfo.genericfilesrepository.uijsf.generic-extraction-jsf"
				var="genericfilesrepository" />
		</ui:param>
		<ui:param name="introMain"
			value="#{genericfilesrepository.PROPERTY_MSG_INTRO_MAIN}">
			<f:loadBundle
				basename="org.inra.ecoinfo.genericfilesrepository.uijsf.generic-extraction-jsf"
				var="genericfilesrepository" />
		</ui:param>
		<ui:param name="uiBean" value="#{uiGenericExtraction}">
			<f:loadBundle
				basename="org.inra.ecoinfo.genericfilesrepository.uijsf.generic-extraction-jsf"
				var="genericfilesrepository" />
		</ui:param>
		<ui:param name="library" value="css/zooplancton">
			<f:loadBundle
				basename="org.inra.ecoinfo.genericfilesrepository.uijsf.generic-extraction-jsf"
				var="genericfilesrepository" />
		</ui:param>
		<ui:define name="togglePanelItems">
			<f:loadBundle
				basename="org.inra.ecoinfo.genericfilesrepository.uijsf.generic-extraction-jsf"
				var="genericfilesrepository" />

			<rich:togglePanelItem
				name="#{genericfilesrepository.PROPERTY_MSG_TITLE_PROJET_PLATEFORME}">
				<ui:include
					src="/templates/extraction/panels/genericfilesrepository/sitesChoiceStep.xhtml">
					<ui:param name="css" value="jsf-plateformesChoiceStep-styles.css" />
					<ui:param name="panelNumber" value="1" />
				</ui:include>
			</rich:togglePanelItem>

			<rich:togglePanelItem name="#{genericfilesrepository.PROPERTY_MSG_DATES}">
				<ui:include src="/templates/extraction/panels/datesStep.xhtml">
					<ui:param name="css" value="jsf-datesChoiceStep-styles.css" />
					<ui:param name="panelNumber" value="2" />
				</ui:include>
			</rich:togglePanelItem>
			<rich:togglePanelItem
				name="#{genericfilesrepository.PROPERTY_MSG_TITLE_DATATYPES}">
				<ui:include
					src="/templates/extraction/panels/genericfilesrepository/datatypesChoiceStep.xhtml">
					<ui:param name="css" value="jsf-variablesChoiceStep-styles.css" />
					<ui:param name="panelNumber" value="3" />
				</ui:include>
			</rich:togglePanelItem>

			
		</ui:define>
		<ui:define name="accordionItems">
			<rich:accordionItem>
				<ui:include
					src="/templates/extraction/accordionItems/genericfilesrepository/sitesAccordionItem.xhtml">
					<ui:param name="titleForPlateformesAccordionItem"
						value="#{genericfilesrepository.PROPERTY_MSG_STEP_PLATEFORME}" />
				</ui:include>
			</rich:accordionItem>

			<rich:accordionItem
				disabled="#{not uiBean.parametersRequest.sitesStepIsValid}">
				<ui:include
					src="/templates/extraction/accordionItems/genericfilesrepository/datesAccordionItem.xhtml">
					<ui:param name="titleForDatesAccordionItem"
						value="#{genericfilesrepository.PROPERTY_MSG_STEP_DATES}" />
				</ui:include>
			</rich:accordionItem>

			<rich:accordionItem
				disabled="#{not uiBean.parametersRequest.dateStepIsValid}">
				<ui:include
					src="/templates/extraction/accordionItems/genericfilesrepository/datatypesAccordionItem.xhtml">
					<ui:param name="titleForVariablesAccordionItem"
						value="#{genericfilesrepository.PROPERTY_MSG_STEP_VARIABLE}" />
				</ui:include>
			</rich:accordionItem>

		
			
		</ui:define>
	</ui:decorate>
</body>

</html>